Archive

文章標籤 ‘APACHE 2.4’

AH01630: client denied by server configuration 錯誤

2013年12月6日 尚無評論

在  Apache 服務升級到 2.4 以後有一些以往的配置方式需要調整一下,若你突然發現到原先運作正常的組態配置在升級後無法進行連線時,請檢查一下  LOG 內容看是否有出現 AH01630: client denied by server configuration: 錯誤訊息,接著調整:

原先:

Order Allow, Deny
Allow from all

改為:

Require all granted

在新版的  Apache 2.4 似乎對於混搭著舊有與新制存取驗證語法有著一些混淆,導致會在某些舊有存取驗證語法運行時出現 403 的錯誤,要馬,我們必須將所有組態中舊有語法通通改為新制或者反之,但這樣還是有點麻煩,因此最好的方式就是升級你的組態語法吧